## logfs-tools 20100501

=== Makefile ===
VERSION = 1.1

#
# Use "make C=1 foo" to enable sparse checking
# Use "make S=1 foo" to compile statically
#
BIN	:= mklogfs
SRC	:= mkfs.c fsck.c lib.c journal.c segment.c btree.c readwrite.c
OBJ	:= $(SRC:.c=.o)
BB	:= $(SRC:.c=.bb)
BBG	:= $(SRC:.c=.bbg)
DA	:= $(SRC:.c=.da)
COV	:= $(SRC:.c=.c.gcov)
ZLIB_O	:= crc32.o deflate.o adler32.o compress.o trees.o zutil.o

CC	:= gcc
CHECK	:= cgcc
CHECKFLAGS := -D__CHECK_ENDIAN__
CFLAGS	:= -std=gnu99
CFLAGS	+= -Wall
CFLAGS	+= -Os
CFLAGS	+= -D_FILE_OFFSET_BITS=64
CFLAGS	+= -g
CFLAGS	+= -DVERSION=\"$(VERSION)\"
#CFLAGS	+= -fprofile-arcs -ftest-coverage

all: $(BIN)

$(ZLIB_O): /usr/lib/libz.a
	ar -x /usr/lib/libz.a $@

ifdef S
EXTRA_OBJ := $(ZLIB_O)
CFLAGS += -static
else
CFLAGS += -lz
endif

mklogfs: $(EXTRA_OBJ)
mklogfs: mkfs.o lib.o btree.o segment.o readwrite.o
	$(CC) $(CFLAGS) -o $@ $^

logfsck: $(ZLIB_O)
logfsck: fsck.o lib.o journal.o super.o
	$(CC) $(CFLAGS) -o $@ $^

$(OBJ): kerncompat.h logfs.h logfs_abi.h btree.h

%.o: %.c
ifdef C
	$(CHECK) $(CFLAGS) $(CHECKFLAGS) -c -o $@ $<
endif
	$(CC) $(CFLAGS) -c -o $@ $<


install: all ~/bin
	cp $(BIN) ~/bin/

distclean: clean
	$(RM) core

clean:
	$(RM) $(BIN) $(OBJ) $(BB) $(BBG) $(COV) $(DA) $(ZLIB_O)

=== debian/changelog ===
logfs-tools (20100501-6) unstable; urgency=low

  * Updating standards version to 3.9.2.
  * Compacting copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:09:17 +0200

logfs-tools (20100501-5) unstable; urgency=low

  * Adding patch from Michael Bienia <geser@ubuntu.com> to fix Makefile
    for linking with --as-needed (Closes: #610853).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 03 Feb 2011 08:19:55 +0100

logfs-tools (20100501-4) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 Jan 2011 21:21:08 +0100

logfs-tools (20100501-3) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Switching to source format 3.0 (quilt).
  * Updating to standards version 3.9.1.
  * Updating to debhelper version 8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 21:23:28 +0100

logfs-tools (20100501-2) unstable; urgency=low

  * Adding Martin to uploaders.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 12 Jun 2010 22:45:40 +0200

logfs-tools (20100501-1) unstable; urgency=low

  * Initial release (Closes: #573236).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 17 May 2010 08:33:17 +0200

=== debian/control ===
Source: logfs-tools
Section: kernel
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 8), zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.logfs.org/

Package: logfs-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools to manage logfs filesystems
 LogFS is a scalable flash filesystem. It is aimed to replace JFFS2 for most
 uses, but focuses more on large devices. JFFS2 works well enough on small
 devices, it just gets slow and uses up too much memory on larger ones.
 .
 This package contains utilities needed to create logfs filesystems.

Package: logfs-tools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, logfs-tools (= ${binary:Version})
Description: Tools to manage logfs filesystems (debug)
 LogFS is a scalable flash filesystem. It is aimed to replace JFFS2 for most
 uses, but focuses more on large devices. JFFS2 works well enough on small
 devices, it just gets slow and uses up too much memory on larger ones.
 .
 This package contains the debugging symbols for the utilities needed to
 create logfs filesystems.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_strip:
	dh_strip --dbg-package=logfs-tools-dbg

## logfs-tools 20110927

=== debian/changelog ===
logfs-tools (20110927-1) unstable; urgency=low

  * Switching architecture fields to linux-any.
  * Using compression level 9 also for binary packages.
  * Merging upstream version 20110927.
  * Updating package to debhelper version 9.
  * Updating package to standards version 3.9.3.
  * Updating copyright file to format 1.0.
  * Removing myself as maintainer.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 12 Jun 2012 11:01:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: logfs-tools
 Section: kernel
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 8), zlib1g-dev
-Standards-Version: 3.9.2
-Homepage: http://www.logfs.org/
+Maintainer: W. Martin Borgert <debacle@debian.org>
+Build-Depends: debhelper (>= 9), zlib1g-dev
+Standards-Version: 3.9.3
 
 Package: logfs-tools
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Tools to manage logfs filesystems
  LogFS is a scalable flash filesystem. It is aimed to replace JFFS2 for most
@@ -20,7 +18,7 @@
 Package: logfs-tools-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, logfs-tools (= ${binary:Version})
 Description: Tools to manage logfs filesystems (debug)
  LogFS is a scalable flash filesystem. It is aimed to replace JFFS2 for most

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=logfs-tools-dbg
+
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip -z9

## logfs-tools 20121013

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-VERSION = 1.1
-
 #
 # Use "make C=1 foo" to enable sparse checking
 # Use "make S=1 foo" to compile statically
@@ -21,7 +19,6 @@
 CFLAGS	+= -Os
 CFLAGS	+= -D_FILE_OFFSET_BITS=64
 CFLAGS	+= -g
-CFLAGS	+= -DVERSION=\"$(VERSION)\"
 #CFLAGS	+= -fprofile-arcs -ftest-coverage
 
 all: $(BIN)

=== debian/changelog ===
logfs-tools (20121013-2) unstable; urgency=medium

  * Team upload.
  * Ignore upstream's (broken) Makefile install target; fixes FTBFS.
    (Closes: #724169)
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 01 Feb 2014 21:27:57 -0800

logfs-tools (20121013-1) unstable; urgency=low

  * New upstream version.

 -- Luk Claes <luk@debian.org>  Thu, 09 May 2013 10:12:40 +0200

logfs-tools (20110927-2) unstable; urgency=low

  * Adopting package (Closes: #677635).
  * Update Standards Version (No changes).

 -- Luk Claes <luk@debian.org>  Tue, 26 Mar 2013 07:35:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: logfs-tools
 Section: kernel
 Priority: optional
-Maintainer: W. Martin Borgert <debacle@debian.org>
+Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
+Uploaders: Luk Claes <luk@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: logfs-tools
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:

override_dh_strip:
	dh_strip --dbg-package=logfs-tools-dbg
